Subject: CCL:Porting Molpro 98.1 on linux system

From: "H.-J. Werner" <[email-masked]>
Date: Fri, 29 Jan 1999 12:35:47 MET

Dear CCL Readers,
the appended message about porting MOLPRO 98.1 to Linux systems
with Portland compiler was forwarded to me. The hanging is due
to a numerical problem in the Lapack Library, which disappears
when compiling with -O1. Anybody who is interested to use
the Portland compiler for Molpro should get patch 98.1.linux_portland.sh
from the Molpro Web page. With this patch all should work
nicely (at least it does for me!). You should also get
patch  98.1.linuxblas.sh, which supports the highly tuned
blas library obtainable from www.cs.utl.edu/~ghenry/distrib.
Use lsblasppro1.1n_01.99.a! Using Portland + this blas library
yields quite impressive performance (on PII/450 MHZ about as
SGI Powerchallenge R10K/200MHZ for large Molpro applications!)
Good luck!
Joachim Werner

> 
> ---------- Forwarded message ---------- 
> Date: Fri, 29 Jan 1999 10:30:57 MET
> From: Petr Nachtigall <[email-masked]>
> To: [email-masked]
> Subject: CCL:Porting Molpro 98.1 on linux system
> 
> 
> Dear CCL readers,
> 
>       I've tried to compile Molpro 98.1 on linux machine. I've succeeded
> using g77 fortran compiler with only small changes to standard CONFIG
> file. However, program does not appear to be running particularly fast.
> Thus, I've tried to compile Molpro 98.1 using PGI fortran compiler.
> After modification of CONFIG file compilation went O.K., however,
> program execution hangs.
>       Does anybody succeed to compile Molpro 98.1 with PGI compiler ?
> Any suggestions or hints will be appreciated.
> 
> Best regards,
> 
> =================================================================
> Petr Nachtigall
> J. Heyrovsky Institute of Physical Chemistry
> Academy of Sciences of the Czech Republic
> Dolejskova 3                  
> 182 23 Prague 8                       phone: (+420-2)-6605-2015          
> Czech Republic                        fax:   (+420-2)-858-2307           
>                       e-mail: [email-masked]
> =================================================================
> 
> -------This is added Automatically by the Software--------
> -- Original Sender Envelope Address: [email-masked]
> -- Original Sender From: Address: [email-masked]
> [email-masked]: Everybody | [email-masked]: Coordinator
> [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
> Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>              Web: http://www.ccl.net/chemistry.html 
> 
> 
> 

--
Prof. Hans-Joachim Werner
Institute for Theoretical Chemistry
University of Stuttgart
Pfaffenwaldring 55
D-70569 Stuttgart
Tel: (0049) 711 / 685 4400
Fax: (0049) 711 / 685 4442
email: [email-masked]